Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Bulk Create Attribute Templates

Creates multiple attribute templates in a single atomic operation. Each template can have custom fields defined. Returns lists of successful and failed creations with detailed error reasons.

POST/api/v1/{team_slug}/{app_slug}/attributes/bulk
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired

Team slug

app_slugstringrequired

App slug

Request body
requiredapplication/json

Attribute templates to create (max 50)

itemsinternal_pkg_webserver_v1.InputAttributeTemplate[]required
max items 50
Show properties
Array of internal_pkg_webserver_v1.InputAttributeTemplate
fieldsinternal_pkg_webserver_v1.InputAttributeField[] | null
Show properties
Array of internal_pkg_webserver_v1.InputAttributeField
keystringrequired

Key of the attribute template field

namestringrequired

Name for the attribute template field

typestringrequired

The type of the attribute template field. This field defines how we should treat the field when you create, update or list attributes

Allowed:booleantexthtmlnumberimagecolorimage_object
filterableboolean
keystringrequired

Key of the attribute

namestringrequired

Name of the attribute

resourcesstring[] | null
translatableboolean
typestringrequired

Name of the attribute

Responses
200

Templates processed successfully

datainternal_pkg_webserver_v1.BulkCreateAttributeTemplatesResponserequired
Show properties
failed_creationsinternal_pkg_webserver_v1.BulkCreateAttributeTemplateFailed[] | null
Show properties
Array of internal_pkg_webserver_v1.BulkCreateAttributeTemplateFailed
inputinternal_pkg_webserver_v1.InputAttributeTemplate
Show properties
fieldsinternal_pkg_webserver_v1.InputAttributeField[] | null
Show properties
Array of internal_pkg_webserver_v1.InputAttributeField
keystringrequired

Key of the attribute template field

namestringrequired

Name for the attribute template field

typestringrequired

The type of the attribute template field. This field defines how we should treat the field when you create, update or list attributes

Allowed:booleantexthtmlnumberimagecolorimage_object
filterableboolean
keystringrequired

Key of the attribute

namestringrequired

Name of the attribute

resourcesstring[] | null
translatableboolean
typestringrequired

Name of the attribute

reasonstring
successful_creationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplate[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplate
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
created_atstring
fieldsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTemplateField
created_atstring
idstring
keystring
namestring
typestring
updated_atstring | null
filterableboolean
idstring
keystring
namestring
resourcesstring[] | null
translatableboolean
typestring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request payload

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/attributes/bulk' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "items": [
    {
      "fields": [
        {
          "key": "string",
          "name": "string",
          "type": "boolean"
        }
      ],
      "filterable": true,
      "key": "string",
      "name": "string",
      "resources": [
        "string"
      ],
      "translatable": true,
      "type": "string"
    }
  ]
}'
Response
{
  "data": {
    "failed_creations": [
      {
        "input": {
          "fields": [
            {
              "key": "string",
              "name": "string",
              "type": "boolean"
            }
          ],
          "filterable": true,
          "key": "string",
          "name": "string",
          "resources": [
            "string"
          ],
          "translatable": true,
          "type": "string"
        },
        "reason": "string"
      }
    ],
    "successful_creations": [
      {
        "attributes": [
          {
            "created_at": "string",
            "description": "string",
            "filterable": true,
            "id": "string",
            "key": "string",
            "name": "string",
            "template_key": "string",
            "template_name": "string",
            "translatable": true,
            "translations": {
              "description": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ],
              "name": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "updated_at": "string",
            "values": {
              "property1": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              },
              "property2": {
                "field_id": "string",
                "id": "string",
                "image_id": "string",
                "image_object": {
                  "alt": "string",
                  "app_id": "string",
                  "blurhash": "string",
                  "copyright": "string",
                  "custom": {
                    "property1": "string",
                    "property2": "string"
                  },
                  "folder_id": "string",
                  "id": "string",
                  "parent_id": "string",
                  "public": true,
                  "status": "string",
                  "title": "string",
                  "url": "string"
                },
                "translations": {
                  "value": [
                    {
                      "id": "string",
                      "locale": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "string",
                "value": "string"
              }
            }
          }
        ],
        "created_at": "string",
        "fields": [
          {
            "created_at": "string",
            "id": "string",
            "key": "string",
            "name": "string",
            "type": "string",
            "updated_at": "string"
          }
        ],
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "resources": [
          "string"
        ],
        "translatable": true,
        "type": "string",
        "updated_at": "string"
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}